summaryrefslogtreecommitdiff
path: root/fsmgr
diff options
context:
space:
mode:
Diffstat (limited to 'fsmgr')
-rwxr-xr-xfsmgr2
1 files changed, 1 insertions, 1 deletions
diff --git a/fsmgr b/fsmgr
index f2c6ff1..9ee4011 100755
--- a/fsmgr
+++ b/fsmgr
@@ -2,7 +2,7 @@
2die() { printf 'Error: %s\n' "$*" >&2; exit 1; } 2die() { printf 'Error: %s\n' "$*" >&2; exit 1; }
3root=$(stack path --local-install-root) || die "subcommand failed: 'stack path'" 3root=$(stack path --local-install-root) || die "subcommand failed: 'stack path'"
4bin=$root/bin/fsmgr 4bin=$root/bin/fsmgr
5stack build 5[ "$SKIP_BUILD" ] || stack build
6case "$(id -u)" in 6case "$(id -u)" in
7 0) exec "$bin" "$@" ;; 7 0) exec "$bin" "$@" ;;
8 *) exec sudo -- "$bin" "$@" ;; 8 *) exec sudo -- "$bin" "$@" ;;